GETSID(2)

NAME
getsid - get process session

SYNOPSIS
#include <unistd.h>
pid_t
getsid(pid_t pid);

DESCRIPTION
The session ID of the process identified by pid is returned by getsid(). If pid is zero, getsid() returns the session ID of the current process.

RETURN VALUES
Upon successful completion, the function getsid() returns the session ID of the specified process; otherwise, it returns a value of -1 and sets errno to indicate an error.

ERRORS
getsid() will succeed unless:

[EPERM]
    The current process and the process pid are not in the same session.

[ESRCH]
    There is no process with a process ID equal to pid.

SEE ALSO
getpgid(2), getpgrp(2), setpgid(2), setsid(2), termios(4)

STANDARDS
getsid() conforms to p1003.1-2008.

HISTORY
The getsid() function call is derived from its usage in AT&T UNIX, and is mandated by xpg4.